# Method: resources.buildings.patch

Patches a building.

### HTTP request

`PATCH https://admin.googleapis.com/admin/directory/v1/customer/{customer}/resources/buildings/{buildingId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID. |
| `buildingId` | `string` The id of the building to update. |

### Query parameters

| Parameters ||
|---|---|
| `coordinatesSource` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/CoordinatesSource`)`` Source from which Building.coordinates are derived. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/resources.buildings#Building`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/resources.buildings#Building`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/calendar/resource/`
- `
  https://www.googleapis.com/auth/admin.directory.resource.calendar`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).